0 Replies Latest reply on Feb 6, 2014 6:18 AM by Sandeep Bawalia

    Issue while upgrading Jboss SOA 5.3.1 from Jboss SOA 4.3

    Sandeep Bawalia Newbie

      We are upgrading server Jboss SOA 5.3.1 from Jboss SOA 4.3. When we deploy the esb application in upgraded Jboss SOA 5.3.1, we are getting below error. The same application is working fine with Jboss SOA 4.3. We are using EJB 3.0 in the application.

      Could anyone give an idea how to fix this issue.

       

      Error stack:

      2014-02-05 01:40:48,556 ERROR [org.jboss.kernel.plugins.dependency.AbstractKernelController] (HDScanner) Error installing to Real: name=vfszip:/usr/jboss/jboss-soa-p-5/jboss-as/server/node1/deploy/NeoESB13.esb/ state=PreReal mode=Manual requiredState=Real org.jboss.deployers.spi.DeploymentException: Error deploying NeoESB13.esb: Error creating ejb container GetSequenceBean13: Conflict between default jndi name GetSequenceBean13 for both remote and local for ejb-name:GetSequenceBean13, bean class="class" com.neo.data.common.sequence.GetSequenceBean Local JNDI Name: GetSequenceBean13/local Remote JNDI Name: GetSequenceBean13 at org.jboss.ejb3.deployers.Ejb3Deployer.deploy(Ejb3Deployer.java:196) at org.jboss.ejb3.deployers.Ejb3Deployer.deploy(Ejb3Deployer.java:61)

      Thanks in advance.

       

      Regards

      Sandeep